from setuptools import find_packages
from setuptools import setup


version = "5.0.6"

setup(
    name="plone.app.portlets",
    version=version,
    description="Plone integration for the basic plone.portlets package",
    long_description=open("README.rst").read() + "\n" + open("CHANGES.rst").read(),
    classifiers=[
        "Development Status :: 5 - Production/Stable",
        "Environment :: Web Environment",
        "Framework :: Plone",
        "Framework :: Plone :: 6.0",
        "Framework :: Plone :: Core",
        "Framework :: Zope :: 5",
        "License :: OSI Approved :: GNU General Public License v2 (GPLv2)",
        "Operating System :: OS Independent",
        "Programming Language :: Python",
        "Programming Language :: Python :: 3.8",
        "Programming Language :: Python :: 3.9",
        "Programming Language :: Python :: 3.10",
        "Programming Language :: Python :: 3.11",
    ],
    keywords="portlets viewlets plone",
    author="Plone Foundation",
    author_email="plone-developers@lists.sourceforge.net",
    url="https://github.com/plone/plone.app.portlets",
    license="GPL version 2",
    packages=find_packages(),
    namespace_packages=["plone", "plone.app"],
    include_package_data=True,
    zip_safe=False,
    python_requires=">=3.8",
    extras_require=dict(
        test=[
            "five.intid",
            "plone.app.testing",
            "plone.namedfile",
            "plone.testing",
            "plone.z3cform",
            "zope.intid",
        ],
    ),
    install_requires=[
        "setuptools",
        "plone.base",
        "Zope",
        "BTrees",
        "ExtensionClass",
        "feedparser",
        "five.customerize",
        "plone.app.i18n",
        "plone.app.layout",
        "plone.app.uuid",
        "plone.app.vocabularies",
        "plone.app.z3cform",
        "plone.autoform",
        "plone.i18n",
        "plone.memoize",
        "plone.portlets",
        "plone.protect",
        "plone.registry",
        "Products.GenericSetup",
        "Products.MimetypesRegistry",
        "Products.PluggableAuthService",
        "Products.PythonScripts",
        "Products.statusmessages",
        "z3c.form",
        "zope.annotation",
        "zope.browser",
        "zope.contentprovider",
    ],
)
